routes/admin.php
<?php

VisitStats::routes();
Route::get('/home', 'Admin\HomeController@index')->name('home');

Route::post('kegiatan/filter', 'Admin\KegiatanController@filter');
Route::post('kegiatan/download', 'Admin\KegiatanController@download');
Route::get('kegiatan/viewFile/{id}', 'Admin\KegiatanController@viewFile');
Route::get('kegiatan/deleteFile/{id}', 'Admin\KegiatanController@deleteFile');
Route::post('kegiatan/confirmation/{id}', 'Admin\KegiatanController@postConfirmation')->name('kegiatan.confirmation');
Route::get('kegiatan/data', 'Admin\KegiatanController@data')->name('kegiatan.data');
Route::resource('kegiatan', 'Admin\KegiatanController');

Route::get('users/data', 'Admin\UserController@data')->name('users.data');
Route::resource('users', 'Admin\UserController');

Route::get('admin/data', 'Admin\AdminController@data')->name('admin.data');
Route::resource('admin', 'Admin\AdminController');

Route::get('permission/data', 'Admin\PermissionController@data')->name('permission.data');
Route::resource('permission', 'Admin\PermissionController');

Route::get('role/data', 'Admin\RoleController@data')->name('role.data');
Route::resource('role', 'Admin\RoleController');

Route::post('pengaduan/filter', 'Admin\PengaduanController@filter');
Route::get('pengaduan/viewFile/{id}', 'Admin\PengaduanController@viewFile');
Route::get('pengaduan/deleteFile/{id}', 'Admin\PengaduanController@deleteFile');
Route::post('pengaduan/confirmation/{id}', 'Admin\PengaduanController@postConfirmation')->name('pengaduan.confirmation');
Route::get('pengaduan/data/{status?}', 'Admin\PengaduanController@data')->name('pengaduan.data');
Route::resource('pengaduan', 'Admin\PengaduanController');

Route::get('foto/viewFile/{id}', 'Admin\FotoController@viewFile');
Route::get('foto/deleteFile/{id}', 'Admin\FotoController@deleteFile');
Route::get('foto/data', 'Admin\FotoController@data')->name('foto.data');
Route::resource('foto', 'Admin\FotoController');

Route::get('slider/viewFile/{id}', 'Admin\SliderController@viewFile');
Route::get('slider/deleteFile/{id}', 'Admin\SliderController@deleteFile');
Route::get('slider/data', 'Admin\SliderController@data')->name('slider.data');
Route::resource('slider', 'Admin\SliderController');

Route::get('kerjaNyata/viewFile/{id}', 'Admin\KerjaNyataController@viewFile');
Route::get('kerjaNyata/deleteFile/{id}', 'Admin\KerjaNyataController@deleteFile');
Route::get('kerjaNyata/data', 'Admin\KerjaNyataController@data')->name('kerjaNyata.data');
Route::resource('kerjaNyata', 'Admin\KerjaNyataController');

Route::get('video/data', 'Admin\VideoController@data')->name('video.data');
Route::resource('video', 'Admin\VideoController');

Route::get('uu/view/{id}', 'Admin\UndangController@viewFile');
Route::get('uu/data', 'Admin\UndangController@data')->name('uu.data');
Route::resource('uu', 'Admin\UndangController');

Route::get('contact', 'Admin\ContactController@index')->name('contact.index');
Route::put('contact/{id}', 'Admin\ContactController@update')->name('contact.update');

Route::get('profile', 'Admin\ProfileController@index')->name('profile.index');
Route::put('profile', 'Admin\ProfileController@update')->name('profile.update');

// Route::get('visitor', 'Admin\VisitorController@index')->name('visitor.index');

// Route::get('visitor', 'Admin\VisitorController@summary');

routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/info', function () {
  dd(phpinfo());
});

Route::get('/test', 'HomeController@test');

Route::middleware('tracker')->group(function () {

  Route::get('/', 'Frontend\HomeController@index');

  Route::get('/permohonan', 'Frontend\HomeController@permohonanIndex');
  Route::post('/permohonan', 'Frontend\HomeController@permohonanStore');

  Route::get('/pengaduan', 'Frontend\HomeController@pengaduanIndex');
  Route::post('/pengaduan', 'Frontend\HomeController@pengaduanStore');

  Route::get('/mekanisme', 'Frontend\HomeController@mekanismeIndex');
  Route::get('/kegiatan', 'Frontend\HomeController@kegiatanIndex');
  Route::get('/foto', 'Frontend\HomeController@fotoIndex');
  Route::get('/foto/{id}', 'Frontend\HomeController@fotoDetail');
  Route::get('/video', 'Frontend\HomeController@videoIndex');
  Route::get('/video/{id}', 'Frontend\HomeController@videoDetail');

  Route::get('/undang', 'Frontend\HomeController@UUIndex');
  Route::get('/undang/{id}', 'Frontend\HomeController@UUDetail');
  Route::get('/undang/view/{id}', 'Frontend\HomeController@UUView');

  // Route::get('/', function () {
  //     return view('front.layouts.app');
  //     // return view('welcome');
  // });

  Route::get('/verify-user/{code}', 'Auth\RegisterController@activateUser')->name('activate.user');
  Auth::routes();


  Route::group(['prefix' => 'client'], function () {
    Route::get('/home', 'HomeController@index')->name('client.home');
    Route::get('/kerja/{id}', 'HomeController@KerjaView');
    Route::get('/profile', 'HomeController@profile')->name('profile');
    Route::post('/profile', 'HomeController@postProfile');

    Route::get('permohonan/viewFile/{id}', 'Client\PermohonanController@viewFile');
    Route::get('permohonan/deleteFile/{id}', 'Client\PermohonanController@deleteFile');
    Route::resource('/permohonan', 'Client\PermohonanController');

    Route::get('pengaduan/viewFile/{id}', 'Client\PengaduanController@viewFile');
    Route::get('pengaduan/deleteFile/{id}', 'Client\PengaduanController@deleteFile');
    Route::resource('/pengaduan', 'Client\PengaduanController');
  });

});

Route::group(['prefix' => 'admin', 'as' => 'admin.'], function () {
  Route::get('/login', 'AdminAuth\LoginController@showLoginForm')->name('login');
  Route::post('/login', 'AdminAuth\LoginController@login');
  Route::post('/logout', 'AdminAuth\LoginController@logout')->name('logout');

  Route::get('/register', 'AdminAuth\RegisterController@showRegistrationForm')->name('register');
  Route::post('/register', 'AdminAuth\RegisterController@register');

  Route::post('/password/email', 'AdminAuth\ForgotPasswordController@sendResetLinkEmail')->name('password.request');
  Route::post('/password/reset', 'AdminAuth\ResetPasswordController@reset')->name('password.email');
  Route::get('/password/reset', 'AdminAuth\ForgotPasswordController@showLinkRequestForm')->name('password.reset');
  Route::get('/password/reset/{token}', 'AdminAuth\ResetPasswordController@showResetForm');
});

app/Models/Pengaduan.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use App\User;

class Pengaduan extends Model
{
    protected $table = 'pengaduan';

    protected $fillable = [
		'user_id', 'nama_pengadu', 'nama_kegiatan', 'permasalahan', 'penanggungjawab', 
		'phone', 'keterangan', 'status'
	];

    public function user()
    {
    	return $this->belongsTo(User::class);
    }
}

app/Http/Controllers/Admin/PengaduanController.php
<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\FilePengaduan;
use App\Models\Pengaduan;
use Kris\LaravelFormBuilder\FormBuilder;
use Illuminate\Support\Facades\Storage;
use DataTables;
use Form;
use File;

class PengaduanController extends Controller
{
    private $folder = 'admin.pengaduan';
    private $uri = 'admin.pengaduan';
    private $title = 'Pengaduan';
    private $desc = 'Description';


    public function __construct(Pengaduan $table, FilePengaduan $pengaduan) 
    {
        $this->middleware('permission:pengaduan_index', ['only' => ['index','data']]);
        $this->middleware('permission:pengaduan_detail', ['only' => ['detail']]);
        $this->middleware('permission:pengaduan_create', ['only' => ['create','store']]);
        $this->middleware('permission:pengaduan_edit', ['only' => ['edit','update']]);
        $this->middleware('permission:pengaduan_delete', ['only' => ['destroy']]);
        $this->table = $table;
        $this->filePengaduan = $pengaduan;
        $this->destinationDir = base_path('public/store/pengaduan');
        $this->storeDir = base_path('public/store');
        $this->storageDir = 'store/pengaduan';
    }

    public function index(Request $request)
    {
        $data['title'] = $this->title;
        $data['ajax'] = ($request->status != null) ? route($this->uri.'.data', $request->status) : route($this->uri.'.data');
        $data['create'] = route($this->uri.'.create');
        $data['status'] = $request->status;
        return view($this->folder.'.index',$data);
    }

    public function data(Request $request, $status = null)
    {
        if ($request->ajax()) {
            $data = $this->table->select(['id', 'user_id', 'nama_pengadu', 'nama_kegiatan', 'created_at', 'status'])
                    ->whereHas('user', function ($query) {
                        $query->where('status', 1);
                    });
            if ($status != null) {
                $data = $data->where('status', $status);
            }
            return DataTables::of($data)
            // ->editColumn('id','<input type="checkbox" class="checkbox" name="id[]" value="{{$id}}"/>')
                ->editColumn('status', function ($index) {
                    if($index->status == 1) {
                        return '<span class="label label-success">DITERIMA</span>';
                    } elseif ($index->status == 2) {
                        return '<span class="label label-danger">DITOLAK</span>';
                    } elseif ($index->status == 3) {
                        return '<span class="label label-primary">SEDANG PROSES</span>';
                    } elseif ($index->status == 4) {
                        return '<span class="label label-info">SELESAI</span>';
                    } else {
                        return '<span class="label label-warning">BARU</span>';
                    }
                })
                ->editColumn('user_id', function ($index) {
                    return isset($index->user->name) ? $index->user->name : '-';
                })
                // ->editColumn('monthly_price', function ($index) {
                //     return 'Rp '.number_format($index->monthly_price, 0, '', '.');
                // })
                ->addColumn('action', function ($index) {
                    $tag = Form::open(array("url" => route($this->uri.'.destroy',$index->id), "method" => "DELETE"));
                    $tag .= (auth('admin')->user()->can('pengaduan_edit')) ? "<a href=".route($this->uri.'.edit',$index->id)." class='btn btn-primary btn-xs'>EDIT</a>" : '';
                    $tag .= (auth('admin')->user()->can('pengaduan_detail')) ? " <a href=".route($this->uri.'.show',$index->id)." class='btn btn-success btn-xs'>Show</a>" : '';
                    $tag .= (auth('admin')->user()->can('pengaduan_delete')) ? " <button type='submit' class='delete btn btn-danger btn-xs'>Delete</button>" : '';
                    $tag .= Form::close();
                    return $tag;
                })
                ->rawColumns(['id', 'status', 'action'])
                ->make(true);
        }
    }

    public function create(FormBuilder $formBuilder)
    {
        $data['title'] = $this->title;
        $data['form'] = $formBuilder->create('App\Forms\PengaduanForm', [
            'method' => 'POST',
            'url' => route($this->uri.'.store')
        ]);
        $data['url'] = route($this->uri.'.index');
        return view($this->folder.'.create', $data);
    }

    public function edit(FormBuilder $formBuilder, $id)
    {
        $data['title'] = $this->title;
        $tbl = $this->table->find($id);
        $file = $this->filePengaduan->where('pengaduan_id', $id)
                ->orderBy('id', 'desc')
                ->pluck('file', 'id')->toArray();
        $data['form'] = $formBuilder->create('App\Forms\PengaduanForm', [
            'method' => 'PUT',
            'model' => $tbl,
            'url' => route($this->uri.'.update', $id)
        ])
        ->modify('filepengaduan', 'static', [
            'template' => 'admin.pengaduan.files_edit',
            'value' => function ($val) use ($file) {
                return $file;
            }
        ])
        ->modify('status', 'choice', [
            'selected' => null
        ]);

        $data['url'] = route($this->uri.'.index');
        return view($this->folder.'.create', $data);
    }

    public function store(Request $request)
    {
        $row = $this->table->create($request->all());
        
        if($request->hasFile('attach')) {
            $store = $this->storeDir;
            $destination = $this->destinationDir;
            
            if(!File::isDirectory($store)){
                File::makeDirectory($store, 0777);    
            }
            
            if(!File::isDirectory($destination)){
                File::makeDirectory($destination, 0777);
            }

            foreach ($request->attach as $key => $value) {
                $namaFile = md5($value->getClientOriginalName() . time()).'.'.$value->extension();
                
                $this->filePengaduan->create([
                    'pengaduan_id' => $row->id,
                    'file' => $namaFile
                ]);

                $value->move($destination, $namaFile);
            }
        }

        return redirect(route($this->uri.'.index'))->with('success',trans('message.create'));
    }

    public function update(Request $request, $id)
    {
        $this->table->findOrFail($id)->update($request->all());
        
        if($request->hasFile('attach')) {
            $store = $this->storeDir;
            $destination = $this->destinationDir;
            
            if(!File::isDirectory($store)){
                File::makeDirectory($store, 0777);    
            }
            
            if(!File::isDirectory($destination)){
                File::makeDirectory($destination, 0777);
            }

            foreach ($request->attach as $key => $value) {
                $namaFile = md5($value->getClientOriginalName() . time()).'.'.$value->extension();
                
                $this->filePengaduan->create([
                    'pengaduan_id' => $id,
                    'file' => $namaFile
                ]);

                $value->move($destination, $namaFile);
            }
        }
        return redirect()->back()->with('success', trans('message.update'));
    }
    
    public function destroy($id)
    {
        $tb = $this->table->findOrFail($id);

        $item = $this->filePengaduan->where('pengaduan_id', $id);

        foreach ($item->get() as $key => $value) {
            if(!empty($value->file)){
                Storage::delete($this->storageDir.'/'.$value->file);
            }
        }
        $item->delete();
        $tb->delete();
        return response()->json(['msg' => true,'success' => trans('message.delete')]);
    }

    public function show($id, FormBuilder $formBuilder)
    {
        $data['title'] = $this->title;
        $row = $this->table->findOrFail($id);

        $file = $this->filePengaduan->where('pengaduan_id', $id)
                ->orderBy('id', 'desc')
                ->pluck('file', 'id')->toArray();

        $data['row'] = $row;
        $data['form'] = $formBuilder->create('App\Forms\PengaduanForm', [
            'method' => 'POST',
            'model' => $row,
            'url' => route($this->uri.'.confirmation', $id)
            // 'url' => route($this->uri.'.confirmation', $id)
        ])
        ->modify('user_id', 'select', [
            'attr' => [
                'disabled' => '',
            ]
        ])
        ->modify('nama_pengadu', 'text', [
            'attr' => [
                'disabled' => '',
            ]
        ])
        ->modify('nama_kegiatan', 'text', [
            'attr' => [
                'disabled' => '',
            ]
        ])
        ->modify('permasalahan', 'textarea', [
            'attr' => [
                'disabled' => '',
            ]
        ])
        ->modify('penanggungjawab', 'text', [
            'attr' => [
                'disabled' => '',
            ]
        ])
        ->modify('phone', 'text', [
            'attr' => [
                'disabled' => '',
            ]
        ])
        // ->modify('email', 'text', [
        //     'attr' => [
        //         'disabled' => '',
        //     ]
        // ])
        // ->modify('keterangan', 'text', [
        //     'attr' => [
        //         'disabled' => '',
        //     ]
        // ])
        ->modify('filepengaduan', 'static', [
            'template' => 'admin.pengaduan.attachment',
            'value' => function ($val) use ($file) {
                return $file;
            }
        ])
        ->modify('status', 'choice', [
            'selected' => null
        ]);
        // ->modify('file_attachment', 'static', [

resources/views/client/pengaduan/create.blade.php
@extends('layouts.app')

@section('head-script')
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css" />
    <style type="text/css">
        .uploaded_image {
            margin-bottom: 0 !important;
        }
    </style>
@endsection

@section('end-script')
    <script src="{{ asset('AdminLTE-2.4.3/dist/js/jquery.blockUI.js') }}"></script>
    <script src="{{ asset('AdminLTE-2.4.3/dist/js/custom.js') }}"></script>
    <script src="{{ asset('assets/js/jquery.multifile.js') }}"></script>
    <script type="text/javascript">
    $('#multifile').multifile();
    (function() {
      'use strict';
      window.addEventListener('load', function() {
        // Fetch all the forms we want to apply custom Bootstrap validation styles to
        var forms = document.getElementsByClassName('needs-validation');
        // Loop over them and prevent submission
        var validation = Array.prototype.filter.call(forms, function(form) {
          form.addEventListener('submit', function(event) {
            if (form.checkValidity() === false) {
              event.preventDefault();
              event.stopPropagation();
            } else {
                waiting();
            }
            form.classList.add('was-validated');
          }, false);
        });
      }, false);
    })();
    </script>
@endsection

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-10">
            @if (session('file_required'))
                <div class="alert alert-danger">
                    {{ session('file_required') }}
                </div>
            @endif
            <div class="card">
                <div class="card-header">
                    {{$title}}
                </div>

                <div class="card-body">
                    <form method="POST" action="{{ $action }}" class="needs-validation" enctype="multipart/form-data" novalidate>
                        @csrf

                        <div class="form-group row">
                            <label for="nama_pengadu" class="col-sm-4 col-form-label text-md-right">{{ __('Nama Pengadu') }}</label>

                            <div class="col-md-6">
                                <input id="nama_pengadu" type="text" class="form-control{{ $errors->has('nama_pengadu') ? ' is-invalid' : '' }}" name="nama_pengadu" autocomplete="off" value="{{ old('nama_pengadu') }}" required autofocus>
                                <div class="invalid-feedback">
                                  Please fill out this field.
                                </div>
                                @if ($errors->has('nama_pengadu'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('nama_pengadu') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="nama_kegiatan" class="col-sm-4 col-form-label text-md-right">{{ __('Nama Kegiatan') }}</label>

                            <div class="col-md-6">
                                <input id="nama_kegiatan" type="text" class="form-control{{ $errors->has('nama_kegiatan') ? ' is-invalid' : '' }}" name="nama_kegiatan" autocomplete="off" value="{{ old('nama_kegiatan') }}" required>
                                <div class="invalid-feedback">
                                  Please fill out this field.
                                </div>
                                @if ($errors->has('nama_kegiatan'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('nama_kegiatan') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="penanggungjawab" class="col-sm-4 col-form-label text-md-right">{{ __('Nama Penanggung Jawab') }}</label>

                            <div class="col-md-6">
                                <input id="penanggungjawab" type="text" class="form-control{{ $errors->has('penanggungjawab') ? ' is-invalid' : '' }}" name="penanggungjawab" autocomplete="off" value="{{ old('penanggungjawab') }}" required>
                                <div class="invalid-feedback">
                                  Please fill out this field.
                                </div>
                                @if ($errors->has('penanggungjawab'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('penanggungjawab') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="phone" class="col-sm-4 col-form-label text-md-right">{{ __('Telp') }}</label>

                            <div class="col-md-6">
                                <input id="phone" type="text" class="form-control{{ $errors->has('phone') ? ' is-invalid' : '' }}" name="phone" autocomplete="off" value="{{ old('phone') }}" required>
                                <div class="invalid-feedback">
                                  Please fill out this field.
                                </div>
                                @if ($errors->has('phone'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('phone') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="permasalahan" class="col-sm-4 col-form-label text-md-right">{{ __('Permasalahan') }}</label>

                            <div class="col-md-6">
                                <textarea id="permasalahan" minlength="150" rows="15" class="form-control{{ $errors->has('permasalahan') ? ' is-invalid' : '' }}" name="permasalahan" required>{{ old('permasalahan') }}</textarea>
                                <div class="invalid-feedback">
                                    This field must be at least 150 characters.
                                </div>
                                @if ($errors->has('permasalahan'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('permasalahan') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        {{-- <div class="form-group row">
                            <label for="email" class="col-sm-4 col-form-label text-md-right">{{ __('Email') }}</label>

                            <div class="col-md-6">
                                <input id="email" type="email" class="form-control{{ $errors->has('email') ? ' is-invalid' : '' }}" name="email" autocomplete="off" value="{{ old('email') }}" required>
                                <div class="invalid-feedback">
                                  Please fill out this field.
                                </div>
                                @if ($errors->has('email'))
                                    <span class="invalid-feedback">
                                        <strong>{{ $errors->first('email') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div> --}}

                        <div class="form-group row">
                            <label class="col-sm-4 col-form-label text-md-right">{{ __('Dokumentasi Kegiatan') }}</label>

                            <div class="col-md-6">
                                <input type="file" class="form-control multifile" id="multifile" name="attach[]">
                                <div class="invalid-feedback">
                                  Please fill out this field.
                                </div>
                            </div>
                        </div>

                        <div class="form-group row mb-0">
                            <div class="col-md-8 offset-md-4">
                                <button type="submit" class="btn btn-primary">
                                    {{ __('Submit') }}
                                </button>

                                <a class="btn btn-link" href="{{ $url }}">
                                    {{ __('Batal') }}
                                </a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/client/pengaduan/index.blade.php
@extends('layouts.app')

@section('end-script')
<script type="text/javascript">
    $(document).ready(function(){
        $(".button-create").click(function(){
            window.location.href = '{{$create}}';
        });
    })
  $(document).on('click','.delete',function(e){
    e.preventDefault();
    if(confirm('Are you sure want to delete ?')) {
      $("#form")[0].submit();
    } 
  });
</script>
@endsection

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-10">
            @if (session('status'))
                <div class="alert alert-success">
                    {{ session('status') }}
                </div>
            @endif
            <div class="card">
                <div class="card-header">
                    {{$title}}
                    <button type="button" class="btn btn-primary btn-sm float-right button-create">Create</button>
                </div>

                <div class="card-body">
                    <table class="table table-striped">
                      <thead>
                        <tr>
                          <th scope="col">#</th>
                          <th scope="col">Nama Pengadu</th>
                          <th scope="col">Nama Kegiatan</th>
                          <th scope="col">Date</th>
                          <th scope="col">Action</th>
                        </tr>
                      </thead>
                      <tbody>
                        @foreach($pengaduan as $key => $row)
                          <tr>
                            <th>{{($pengaduan->currentPage()-1) * $pengaduan->perPage() + $key + 1}}</th>
                            <td>{{$row->nama_pengadu}}</td>
                            <td>{{$row->nama_kegiatan}}</td>
                            <td>{{date('d F Y',strtotime($row->created_at))}}</td>
                            <td>
                                <form action="{{route('pengaduan.destroy', $row->id)}}" method="POST" id="form">
                                    @method('DELETE')
                                    @csrf
                                    <a href="{{route('pengaduan.edit', $row->id)}}" class="btn btn-primary btn-sm">Edit</a>
                                    <a href="{{route('pengaduan.show', $row->id)}}" class="btn btn-success btn-sm">Detail</a>
                                    <button type="submit" class="delete btn btn-danger btn-sm">Delete</button>
                                </form>
                            </td>
                          </tr>
                        @endforeach
                      </tbody>
                    </table>
                    {{$pengaduan->links()}}
                </div>
            </div>
        </div>
    </div>
</div>
@endsection